Page MenuHomePhabricator

Improve usability of copypasting text from MediaViewer's download/embed dialog
Open, Stalled, LowPublic

Description

There are a number of usability problems with the boilerplate share and copyright texts:

  • currently all clicks and keyboard events are suppressed to make sure the text always stays selected. This makes it impossible to copy parts of the text and also prevents some scrolling methods (keyboard, dragging selection). It also makes reading the text harder since selection colors are not optimized for that. Most similar interfaces select all text when the widget is focused and allow normal behavior (ie. deselecting) when the widget is clicked again while focused.
  • some keys have special meaning (ie. right arrow navigates to the next image); this should be suppressed while the textarea is focused. (But then we need to make this obvious otherwise the user might accidentally focus it and not understand why navigation does not work anymore...)
  • there are some bugs causing text not to be selected sometimes (see patch)
  • depending on the browser, the readonly attribute might interfere with keyboard navigation/selection
  • the user still needs to press Ctrl-C or whatever. There should be a "select me" button (T77295)
  • embed uses textarea, but the other screens use a single-line input which is even more horrible

See also: T69835

Event Timeline

Tgr created this task.Aug 27 2015, 7:39 PM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added projects: MediaViewer, Design.
Tgr added a subscriber: Tgr.
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 27 2015, 7:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 178219 had a related patch set uploaded (by Gergő Tisza):
Fix overzealous textarea click handler

https://gerrit.wikimedia.org/r/178219

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 27 2015, 7:39 PM

Change 234245 had a related patch set uploaded (by Gergő Tisza):
Allow partial selection in text fields

https://gerrit.wikimedia.org/r/234245

Change 177786 had a related patch set uploaded (by Gergő Tisza):
Remove all readOnly usability blockages

https://gerrit.wikimedia.org/r/177786

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:58 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Jdlrobson changed the task status from Open to Stalled.Sep 24 2015, 12:36 AM
Jdlrobson added a subscriber: Jdlrobson.

Change 234245 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Allow partial selection in text fields

https://gerrit.wikimedia.org/r/234245

The patch I merged (https://gerrit.wikimedia.org/r/234245 Allow partial selection in text fields) definitely fixes this part of this task:

  • currently all clicks and keyboard events are suppressed to make sure the text always stays selected. This makes it impossible to copy parts of the text and also prevents some scrolling methods (keyboard, dragging selection). It also makes reading the text harder since selection colors are not optimized for that. Most similar interfaces select all text when the widget is focused and allow normal behavior (ie. deselecting) when the widget is clicked again while focused.

I don't know what is the status of the remaining problems, and the remaining two patches:

Discussion on the patches makes it seem like (most of?) the remaining problems might also be fixed by the other patch, or might have been fixed in the meantime by other work.

Change 177786 abandoned by Thiemo Kreuz (WMDE):
Remove all readOnly usability blockages

Reason:
Yea, I wonder what made me think the readOnly attribute is to blame.

https://gerrit.wikimedia.org/r/177786

simon04 moved this task from Backlog to Design on the MediaViewer board.Jun 10 2019, 7:08 AM
Tgr removed a subscriber: Tgr.Tue, Jul 9, 6:03 PM